POST
Regenerate an asset

Authorizations

Authorization
string
header
required

Provide your API key in the Authorization header using Bearer auth

Headers

Idempotency-Key
string

Path Parameters

id
string
required

Video clone ID

asset_id
string
required

Asset ID

Body

application/json

Regenerates one asset; the body may be omitted.

prompt
string

New prompt; the previous one when omitted

Maximum string length: 8000
feedback
string

Feedback appended to the prompt

Maximum string length: 1000
Example:

"猫的毛色再浅一些"

Response

OK

An asset candidate: subject sheet, frame, source frame, depth video, shot clip or voiceover. Of the candidates in one slot the selected one is used.

id
string

Asset ID

Example:

"casset_0192f1c3a7b87c3e9a4f5b6c7d8e9f01"

object
string

Always video.clone.asset

Example:

"video.clone.asset"

revision_no
integer<int32>

Revision number

Example:

1

kind
enum<string>

image / video / audio / depth

Available options:
image,
video,
audio,
depth
Example:

"image"

role
string

subject / frame / source_frame / motion / clip / voice

Example:

"frame"

slot
string

Slot, e.g. image:s01_first or clip:s01

Example:

"image:s01_first"

shot_key
string

Shot it belongs to

Example:

"s01"

subject_key
string

Subject it shows

Example:

"cat"

status
enum<string>

generating / succeeded / failed

Available options:
generating,
succeeded,
failed
Example:

"succeeded"

selected
boolean

Whether it is the selected candidate of its slot

stale
boolean

An input it was made from (subject sheet, frame or depth video) has changed since

source
string

generated / regenerated / uploaded / extracted / dubbed

Example:

"generated"

file
object

A file with a signed download link.

generation_id
string

Generation ID of the model call

prompt
string

Prompt

feedback
string

Feedback

error_code
string

Error code when it failed

created_at
integer<int64>

Creation time (Unix seconds)